Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class DicsRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FindAmppRequest, FindAmpRequestType, FindChapterIVParagraphRequest, FindCommentedClassificationRequest, FindCompanyRequest, FindCompoundingFormulaRequest, FindCompoundingIngredientRequest, FindLegislationTextRequest, FindNonMedicinalProductRequest, FindReferencesRequest, FindReimbursementRequest, FindVmpGroupRequest, FindVmpRequest, FindVtmRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class DicsRequestType

extends RequestType
implements Serializable

Common type for all DICS requests. Adds a Search Date to the eHealth Commons Request Type

Java class for DicsRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DicsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DicsRequestType()`

Method Summary
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DicsRequestType

    public DicsRequestType()

Method Detail

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.